<?php use_helper('UrlFunctions'); ?>
<table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top: 5px; margin-bottom: 5px;">
  <tr>
    <td class="titleBody"><li>Entrega de pedidos</li></td>
    <td align="right">
        &nbsp;
    </td>
  </tr>
</table>

<?php
//ini_set('display_errors', 1);

$i_IdColaborador = myUser::getUser()->getIdColaborador();
$i_IdPadre = myUser::getUser()->getIdPadre();

$s_FechaOperacion              = date("Y-m-d"); 
$s_NombreCompletoRepresentante = "";
$s_NombreCompletoSupervisor    = "";
//
$f_Montototal       = "";
$f_Montoaprobado    = "";
$f_Montorechazado   = "";
$f_Montoentregado   = "";
$f_Montonoentregado = "";
//
/////////////////////////////////////////////////////////////////////////////////////////////////
if( isset( $i_idpedido ) && $i_idpedido != "" )
{
    $o_CrPedidocabeceraFN = new CrPedidocabeceraFN();
    $o_CrPedidocabeceraFN->setIdpedidocabecera($i_idpedido);
    $o_CrPedidocabeceraBN = $o_CrPedidocabeceraFN->selectByPK();
    if( $o_CrPedidocabeceraBN )
    {
        $s_comentario = $o_CrPedidocabeceraBN->getComentario();
        $s_comentarioSupervisor = $o_CrPedidocabeceraBN->getComentariosupervisor();
        $s_FechaOperacion = substr( $o_CrPedidocabeceraBN->getFechaoperacion(),0, 10 );
        $i_Idcolaboradorrepresentante = $o_CrPedidocabeceraBN->getIdcolaboradorrepresentante();
        $i_Idcolaboradordestino = $o_CrPedidocabeceraBN->getIdcolaboradordestino();
        
        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        //INFORMACION DE COLABORADOR
        $o_ColaboradorBean = new ColaboradorBean();
        $o_ColaboradorBean->setIdColaborador( $i_Idcolaboradorrepresentante );
        
        $o_ColaboradorBL = new ColaboradorBL();
        $a_oColaboradorBN = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
        if( $a_oColaboradorBN )
        {
        	$o_ColaboradorBN = $a_oColaboradorBN[0];
        	$s_NombreCompletoRepresentante = $o_ColaboradorBN->getNombreCompleto();
        }
        //INFORMACION DE SUPERVISOR
        $o_ColaboradorBean = new ColaboradorBean();
        $o_ColaboradorBean->setIdColaborador( $i_Idcolaboradordestino );
        
        $o_ColaboradorBL = new ColaboradorBL();
        $a_oColaboradorBN = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
        if( $a_oColaboradorBN )
        {
        	$o_ColaboradorBN = $a_oColaboradorBN[0];
        	$s_NombreCompletoSupervisor = $o_ColaboradorBN->getNombreCompleto();
        }
        ////////////////////////////////////////////////////////////////////////////////////////////////////////        
        $f_Montototal       = $o_CrPedidocabeceraBN->getMontototal();
        $f_Montoaprobado    = $o_CrPedidocabeceraBN->getMontoaprobado();
        $f_Montorechazado   = $o_CrPedidocabeceraBN->getMontorechazado();
        $f_Montoentregado   = $o_CrPedidocabeceraBN->getMontoentregado();
        $f_Montonoentregado = $o_CrPedidocabeceraBN->getMontonoentregado();
        
        $o_CrPedidodetalleFN = new CrPedidodetalleFN();
        $o_CrPedidodetalleFN->setIdpedidocabecera($i_idpedido);
        $a_CrPedidodetalle = $o_CrPedidodetalleFN->select();
    }
}
/////////////////////////////////////////////////////////////////////////////////////////////////
?>
<script>
ejecutarAjaxaUpdate = function( elm_id, Params )
{
    var url = '<?php echo buildUrl( 'ajax/requestPdo' ) ?>';
    new Ajax.Updater(
                        elm_id, 
                        url,
                        {
                            method      : 'post',
                            parameters  : Params,
                            evalScripts	: true,
                            onSuccess   : function(transport, json)
                            {
                                //var TypeSearch = transport.request.parameters.TypeSearch;
                                //var ElmLst     = transport.request.container.success;
                            },
                            onFailure  : function(transport)
                            {
                                alert("Error ("+transport.status+"): "+transport.statusText);
                            },
                            onComplete : function(transport)
                            {
                               //document.location.reload(); 
                            }
                        }
                    );    
}

noPermisos = function(){
	alert('Requiere volver a loguearse.');
	//alert(parent.document.location.href);
	parent.document.location.href = '<?php echo buildUrlComplet('sys.php/user/logout');?>';	
}

</script>
<form action="/im.php/move/add" method="post" name="form1" id="form1">
    <input type="hidden" value="submit" id="ctrlSubmit" name="ctrlSubmit">
    <input type="hidden" value="001" id="block" name="block">
    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco" style="background-color: #FAFAFA;">
        <tr>
            <td style="padding: 10px;">
            
                <table width="100%" class="marco" style="background-color: #FAFAFA;" cellpadding="5" cellspacing="0">

                    <tr>
                        <td><label class="req">Representante</label></td>
                        <td><label>:</label> </td>
                        <td><label><?php echo $s_NombreCompletoRepresentante ?></label> </td>
                    </tr>
                    <tr>
                        <td><label class="req">Supervisor</label></td>
                        <td><label>:</label> </td>
                        <td><label><?php echo $s_NombreCompletoSupervisor ?></td>
                    </tr>
                    <tr>
                        <td><label class="req">Comentario</label></td>
                        <td><label>:</label> </td>
                        <td><label><?php echo $s_comentario ?></label></td>
                    </tr>
                    
                </table>
            
                <table cellpadding="0" cellspacing="0" style="margin-top: 20px;" class="marco" width="100%">
                    <tr>
                        <td width="50%" valign="top">
                            <table width="100%" class="" style="background-color: #FAFAFA;" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td><label class="req">Fecha Operacion</label></td>
                                    <td><label>:</label> </td>
                                    <td><label><?php echo $s_FechaOperacion ?></label> </td>
                                </tr>
                                <tr>
                                    <td><label class="req">Monto Total</label></td>
                                    <td><label>:</label> </td>
                                    <td><label><?php echo number_format($f_Montototal, 2, '.', ','); ?></label> </td>
                                </tr>
                                <tr>
                                    <td><label class="req">Monto Aprobado</label></td>
                                    <td><label>:</label> </td>
                                    <td><label><?php echo number_format($f_Montoaprobado, 2, '.', ',') ?></label></td>
                                </tr>
                            </table>                        
                        </td>
                        <td width="50%" valign="top">
                            <table width="100%" class="" style="background-color: #FAFAFA;" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td><label class="req">Monto Rechazado</label></td>
                                    <td><label>:</label> </td>
                                    <td><label><?php echo number_format($f_Montorechazado, 2, '.', ',') ?></label></td>
                                </tr>
                                <tr>
                                    <td><label class="req">Monto Entregado</label></td>
                                    <td><label>:</label> </td>
                                    <td><label><?php echo number_format($f_Montoentregado, 2, '.', ',') ?></label></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco" style="margin-top: 20px;">
                    <tr>
                        <td height="17" align="right" class="pager">&nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            <table width="100%" cellspacing="0" cellpadding="2" border="0" class="grid">
                                <tr height="23">
                                    <th nowrap="nowrap">&nbsp;</th>
                                    <th nowrap="nowrap" width="10%">Tipo</th>
                                    <th nowrap="nowrap" width="5%">C&oacute;digo</th>
                                    <th nowrap="nowrap" width="15%">Nombre</th>
                                    <th nowrap="nowrap" width="8%">Monto</th>
                                    <th nowrap="nowrap" width="8%">Monto Total</th>
                                    <th nowrap="nowrap" width="8%">G.A.</th>
                                    <th nowrap="nowrap" width="5%">%</th>
                                    <th nowrap="nowrap" width="8%">Duracion</th>
                                    <th nowrap="nowrap" width="8%">Periodicidad</th>
                                    <th nowrap="nowrap" width="9%">Estado</th>
                                    <th nowrap="nowrap" width="40%">&nbsp;</th>
                                </tr>
                                <?php if( !is_null( $a_CrPedidodetalle ) && count( $a_CrPedidodetalle ) > 0 ){ ?>
                                    <?php foreach ( $a_CrPedidodetalle as $i_row => $o_CrPedidodetalleBN ){ ?>
                                        <?php
                                            $i_row = $i_row + 1;
                                            
                                            $i_Idpedidodetalle     = $o_CrPedidodetalleBN->getIdpedidodetalle();
                                            $s_tipo                = $o_CrPedidodetalleBN->getTipocodigo();
                                            $f_MontoPrestado       = $o_CrPedidodetalleBN->getMontoprestado();
                                            $f_MontoInteres       = $o_CrPedidodetalleBN->getInteresMonto();
                                            $f_MontoTotal			= $f_MontoPrestado + $f_MontoInteres;
                                            $f_Gastoadministrativo = $o_CrPedidodetalleBN->getGastoadministrativo();
                                            $i_Interesporcentaje   = $o_CrPedidodetalleBN->getInteresporcentaje();
                                            $i_Duracion            = $o_CrPedidodetalleBN->getDuracion();
                                            $i_Periodicidadpago    = $o_CrPedidodetalleBN->getPeriodicidadpago();
                                            $s_EstadoDetalle       = $o_CrPedidodetalleBN->getEstado();
                                            
                                            $o_PrestamoBean = new PrestamoBean();
                                            
                                            switch ( $s_tipo )
                                            {
                                                case '1':
                                                    $s_TipoDes = "Cod Cliente";
                                                    $s_codigo = $o_CrPedidodetalleBN->getIdcliente();
                                                    $o_PrestamoBean->setIdCliente($s_codigo);
                                                break;
                                                case '2':
                                                    $s_TipoDes = "Cod Prestamo";
                                                    $s_codigo = $o_CrPedidodetalleBN->getCodigocliente();
                                                    $o_PrestamoBean->setIdPrestamo($s_codigo);
                                                break;
                                            }
                                            
                                            $o_PrestamoBL = new PrestamoBL();
                                            $o_PrestamoBN = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
                                             if(is_array($o_PrestamoBN))
	                                        {
	                                            $o_PrestamoBN = $o_PrestamoBN[0];
	                                        }else{
	                                        	$o_PrestamoBN = new PrestamoBean();
	    										$o_PrestamoBN->setIdCliente($s_codigo);
	                                        }
                                            
                                            if( $o_PrestamoBN )
                                            {
                                                $s_Estado = $o_PrestamoBN->getEstado();
                                                $s_Origen = $o_PrestamoBN->getOrigen();
                                                $s_GastoAdministrativo = is_null($o_PrestamoBN->getGastoAdministrativo()) ? "0" : $o_PrestamoBN->getGastoAdministrativo();
                                                $s_InteresPorcentaje = is_null($o_PrestamoBN->getInteresPorcentaje()) ? "0" : $o_PrestamoBN->getInteresPorcentaje();
                                                $s_MontoPrestado = is_null($o_PrestamoBN->getMontoPrestado()) ? "0" : $o_PrestamoBN->getMontoPrestado();
                                                $s_SaldoPrestamo = is_null($o_PrestamoBN->getSaldoPrestamo()) ? "0" : $o_PrestamoBN->getSaldoPrestamo();
                                                $s_Evaluacion = "";
                                                
                                                //info cliente
                                                $s_IdCliente = $o_PrestamoBN->getIdCliente();
                                                $o_ClienteBean = new ClienteBean();
                                                $o_ClienteBean->setIdCliente($s_IdCliente);
                                                $o_ClienteBL = new ClienteBL();
                                                $o_ClienteBN = $o_ClienteBL->busquedaCliente($o_ClienteBean);
                                                if(is_array($o_ClienteBN))
                                                {
                                                    $o_ClienteBN = $o_ClienteBN[0];
                                                    $s_NombreCompleto = $o_ClienteBN->getNombreCompleto();
                                                }
                                                //////////////
                                                //Cta Pds
                                                $o_PrestamoBean = new PrestamoBean();
                                                $o_PrestamoBean->setIdCliente($s_IdCliente);
                                                $o_PrestamoBean->setEstado('P');
                                                $o_PrestamoBL = new PrestamoBL();
                                                $a_TmpPrestamo = $o_PrestamoBL->busquedaPrestamo($o_PrestamoBean);
                                                $i_CountPrtmoPdt = count( $a_TmpPrestamo );
                                                /////////
                                            }
                                            ?>
                                <tr>
                                    <td align="center"><?php echo $i_row ?></td>
                                    <td align="center"><label><?php echo $s_TipoDes ?></label></td>
                                    <td align="center"><label><?php echo $s_codigo ?></label></td>
                                    <td align="center"><label><?php echo $s_NombreCompleto ?></label></td>
                                    <td align="center"><label><?php echo number_format($f_MontoPrestado, 2, '.', '') ?></label></td>
                                    <td align="center"><label><?php echo number_format($f_MontoTotal, 2, '.', '') ?></label></td>
                                    <td align="center"><label><?php echo number_format($f_Gastoadministrativo, 2, '.', '') ?></label></td>
                                    <td align="center"><label><?php echo $i_Interesporcentaje ?>%</label></td>
                                    <td align="center"><label><?php echo $i_Duracion ?> D&iacute;as</label></td>
                                    <td align="center">
                                        <label>
                                        <?php if( $i_Periodicidadpago == "D" ){ echo "Diario"; } ?>
                                        <?php if( $i_Periodicidadpago == "S" ){ echo "Semanal"; } ?>
                                        <?php if( $i_Periodicidadpago == "Q" ){ echo "Quincenal"; } ?>
                                        <?php if( $i_Periodicidadpago == "M" ){ echo "Mensual"; } ?>
                                        </label>
                                    </td>
                                    <td align="center">
                                        <label>
                                        <?php if( $s_EstadoDetalle == "P" ){ echo "PENDIENTE"; } ?>
                                        <?php if( $s_EstadoDetalle == "A" ){ echo "APROBADO"; } ?>
                                        <?php if( $s_EstadoDetalle == "R" ){ echo "RECHAZADO"; } ?>
                                        </label>
                                    <td align="center" id="tr_<?php echo $i_row ?>_td_11">
                                        <?php if( $s_EstadoDetalle == "A" ){ ?>
                                        <?php
                                        $o_PrestamoBean = new PrestamoBean();
                                        $o_PrestamoBean->setIdPedidoReferencia( $i_Idpedidodetalle );
                                        
                                        $o_PrestamoBL = new PrestamoBL();
                                        $a_Prestamo = $o_PrestamoBL->busquedaPrestamo( $o_PrestamoBean );
                                        if( $a_Prestamo )
                                        {
                                         	echo "ENTREGADO";   ?>
                                            <!--<input id="botonCrear_<?php echo $i_row ?>" type="button" class="button" value="ELIMINAR" onclick="eliminarPrestamo('<?php echo $i_Idpedidodetalle ?>', '<?php echo $i_row ?>');" />-->
                                            <?php
                                        }
                                        else 
                                        {
                                            if($o_CrPedidodetalleBN->getEntregado() == 0){?>
	                                            <input id="botonCrear_<?php echo $i_row ?>" type="button" class="button"  value="ENTREGUE" onclick="this.disabled=true;this.value='Enviando, por favor espere...';entregarLineaPedido('<?php echo $i_Idpedidodetalle ?>', '<?php echo $i_row ?>');" />
	                                            <input id="botonCrear_<?php echo $i_row ?>1" type="button" class="button" value="NO ENTREGUE" onclick="noEntregarLineaPedido('<?php echo $i_Idpedidodetalle ?>', '<?php echo $i_row ?>');" />
                                            <?php
                                            }elseif($o_CrPedidodetalleBN->getEntregado() > 0){
                                            	echo "Entregado";
                                            }elseif($o_CrPedidodetalleBN->getEntregado() == '-1'){
                                            	echo "NO ENTREGADO";
                                            }
                                        }
                                        ?>
                                        <?php } ?>
                                        <?php if( $s_EstadoDetalle == "R" ){ echo "&nbsp;"; } ?>
                                        <?php if( $s_EstadoDetalle == "P" ){ echo "&nbsp;"; } ?>
                                    </td>
                                </tr>
                                    <?php } ?>
                                <?php } ?>
                            </table>
                            
                            
                        </td>
                    </tr>
                    <tr>
                        <td style="background-color:#01799c; color:#FFFFFF">Total Registros: <?=count( $a_CrPedidodetalle )?></td>
                    </tr>
                </table>
                
                <table cellpadding="0" cellspacing="0" style="margin-top: 20px;">
                    <tr>
                        <td>
                            <input type="button" class="button" value="Cancelar" onclick="location.href='<?php echo buildUrl( 'pdo/list', 'block=001' ) ?>';"/>
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
     </table>
</form>
<div id="contenido_result" style="display:none;">
</div>
<script>
entregarLineaPedido = function( i_Idpedidodetalle, i_row )
{
    var x = confirm( "Esta seguro que entrego, esta accion creara un nuevo Prestamo, es correcto?" );
    if( x )
    {
        Params  = 's_TypeRequest=crearNuevoPrestamo&i_Idpedidodetalle='+i_Idpedidodetalle+'&i_row='+i_row;
        ejecutarAjaxaUpdate( 'contenido_result', Params );
        //document.location.reload();
       
    }
}

noEntregarLineaPedido = function( i_Idpedidodetalle, i_row )
{
	
    var x = confirm( "Esta seguro que no entrego, esta accion esto no generara un nuevo prestamo, es correcto?" );
    if( x )
    {
        Params  = 's_TypeRequest=NoEntreguePedido&i_Idpedidodetalle='+i_Idpedidodetalle+'&i_row='+i_row;
        ejecutarAjaxaUpdate( 'contenido_result', Params );
        //document.location.reload();
       
    }
}

eliminarPrestamo = function( i_Idpedidodetalle, i_row )
{
    var x = confirm( "Esta seguro de eliminar el Prestamo?" );
    if( x )
    {
        Params  = 's_TypeRequest=eliminarPrestamo&i_Idpedidodetalle='+i_Idpedidodetalle+'&i_row='+i_row;
        ejecutarAjaxaUpdate( 'contenido_result', Params );
        //document.location.reload();
       
    }
}
actualizarBotonPorTipo = function( i_Idpedidodetalle, s_tipo, i_row )
{
    document.location.reload(); 
	/*var elm = $('tr_'+i_row+'_td_11');
    switch( s_tipo )
    {
        case '1':
            //BOTON PARA CREAR
            var s_input = '<input id="botonCrear_'+i_row+'" type="button" class="button" value="ENTREGAR" onclick="entregarLineaPedido(\''+i_Idpedidodetalle+'\', \''+i_row+'\');" />'
        break;
        case '2':
            //BOTON PARA ELIMINAR
            var s_input = '<input id="botonCrear_'+i_row+'" type="button" class="button" value="ELIMINAR" onclick="eliminarPrestamo(\''+i_Idpedidodetalle+'\', \''+i_row+'\');" />'
        break;
    }
    elm.innerHTML = s_input;*/
}

actualizarError = function( )
{
    alert( "No esta permitido esta proceso." );
}
</script>